\chapter{Numerical Analysis or How to use the abacus}
\label{ch:Numerical analysis}
Numerical analysis is sort of a new area of mathematics which has gained a lot of importance mainly due to the use of computer to do calculations for us humans. However its role in mathematics shall not be diminished because nowadays ~95\% discoveries in science could not have been done without a computer.\\
This area is full of theorems on \hyperref[ch:Series and Sequences]{series}, \hyperref[sec:Integrals]{integrals}, $\epsilon$ and $\gamma$: be brave, at the end of each and everyone of the sections will be a delightful smile.\\
By the way: if you find this theorems and problems easy, please just discover some advanced numerical tecniques, it would be a lot helpful for programmers and mathematicians.

\section{Determinant of permutation matrices}
\label{sec:Determinant of permutation matrices}
Permutation matrices are like the \href{https://en.wikipedia.org/wiki/Identity_matrix}{identity matrix} but with some rows and columns switched. For instance, this is the identity matrix ($4 x 4$):
$$
\begin{bmatrix}
    1 & 0 & 0 & 0 \\
    0 & 1 & 0 & 0 \\
    0 & 0 & 1 & 0 \\
    0 & 0 & 0 & 1 \\
\end{bmatrix}
$$
while this is the permutation matrix obtained by switching the first row with the second row, then the third column with the fourth column:
$$
\begin{bmatrix}
    0 & 1 & 0 & 0 \\
    1 & 0 & 0 & 0 \\
    0 & 0 & 0 & 1 \\
    0 & 0 & 1 & 0 \\
\end{bmatrix}
$$
Permutation matrices play an important role in linear solving algorithms like \cite{Gaussian_Elimination_Wikipedia}, but the real question is: what is the \href{https://en.wikipedia.org/wiki/Determinant}{determinant} of a permutation matrix?\\
Firstly, it's easy to see that the identity matrix has determinant $= 1$.\\
Secondly, interchanging two rows or columns of a matrix multiplies its determinant by $-1$. A permutation matrix is just a product of such elementary matrices, so every row switch introduces a factor of $1$. If you have $t$ row switches, then
$$\text{det}(t) = \prod_{i=1}^{t} \text{det}(M_i) = (-1)^t$$
